## iamctl secret list

Display all secret resources

### Synopsis

Display all secret resources.

```
iamctl secret list
```

### Examples

```
  # List all secrets
  iamctl secret list
  
  # List secrets with limit and offset
  iamctl secret list --offset=0 --limit=5
```

### Options

```
  -h, --help         help for list
  -l, --limit int    Specify the amount records to be returned. (default 1000)
  -o, --offset int   Specify the offset of the first row to be returned.
```

### Options inherited from parent commands

```
      --iamconfig string                      Path to the iamconfig file to use for CLI requests
      --match-server-version                  Require server version to match client version
      --profile string                        Name of profile to capture. One of (none|cpu|heap|goroutine|threadcreate|block|mutex) (default "none")
      --profile-output string                 Name of the file to write the profile to (default "profile.pprof")
  -s, --server.address string                 The address and port of the IAM API server
      --server.certificate-authority string   Path to a cert file for the certificate authority
      --server.insecure-skip-tls-verify       If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure
      --server.max-retries int                Maximum number of retries.
      --server.retry-interval duration        The interval time between each attempt. (default 1s)
      --server.timeout duration               The length of time to wait before giving up on a single server request. Non-zero values should contain a corresponding time unit (e.g. 1s, 2m, 3h). A value of zero means don't timeout requests. (default 30s)
      --server.tls-server-name string         Server name to use for server certificate validation. If it is not provided, the hostname used to contact the server is used
      --user.client-certificate string        Path to a client certificate file for TLS
      --user.client-key string                Path to a client key file for TLS
      --user.password string                  Password for basic authentication to the API server
      --user.secret-id string                 SecretID for JWT authentication to the API server
      --user.secret-key string                SecretKey for jwt authentication to the API server
      --user.token string                     Bearer token for authentication to the API server
      --user.username string                  Username for basic authentication to the API server
```

### SEE ALSO

* [iamctl secret](iamctl_secret.md)	 - Manage secrets on iam platform

###### Auto generated by spf13/cobra on 1-Apr-2021
